GSTR-1 CDNR
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/cdnr/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/cdnr/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/cdnr/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"cdnr": [
{
"cfs": "N",
"ctin": "06AAABC1234F1YZ",
"nt": [
{
"cflag": "N",
"chksum": "45dba17f8147720215827d43e75360b4e9b433f171a4ab48f4432f7f134b6396",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"csamt": 0,
"iamt": 152.39,
"rt": 18,
"txval": 846.61
},
"num": 1
}
],
"nt_dt": "21-10-2024",
"nt_num": "SCN-594",
"ntty": "C",
"pos": "06",
"rchrg": "N",
"updby": "S",
"val": 999
}
]
},
{
"cfs": "N",
"ctin": "19AAABC1234F1YZ",
"nt": [
{
"cflag": "N",
"chksum": "7b20992ad263f5469c10fd34d6ec7b297ab0044dc1e24b77ab2ff8527072c7f5",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"csamt": 0,
"iamt": 152.39,
"rt": 18,
"txval": 846.61
},
"num": 1
}
],
"nt_dt": "21-10-2024",
"nt_num": "SCN-595",
"ntty": "C",
"pos": "19",
"rchrg": "N",
"updby": "S",
"val": 999
}
]
},
{
"cfs": "N",
"ctin": "21AAABC1234M1YZ",
"nt": [
{
"cflag": "N",
"chksum": "4349b9cfc2cb4854ee8dfcc076d9a7c2d78720aaee9a72f0b146cbc94b438ea1",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"csamt": 0,
"iamt": 152.39,
"rt": 18,
"txval": 846.61
},
"num": 1
}
],
"nt_dt": "21-10-2024",
"nt_num": "SCN-602",
"ntty": "C",
"pos": "21",
"rchrg": "N",
"updby": "S",
"val": 999
}
]
},
{
"cfs": "N",
"ctin": "24AAABC1234Q1YZ",
"nt": [
{
"cflag": "N",
"chksum": "cfc6f6116585301569e6b92b35f7284e0d9ad87cf9d2a22858ba3ccd184035ee",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"camt": 1525.42,
"csamt": 0,
"rt": 18,
"samt": 1525.42,
"txval": 16949.15
},
"num": 1
}
],
"nt_dt": "16-10-2024",
"nt_num": "SCN-618",
"ntty": "C",
"pos": "24",
"rchrg": "N",
"updby": "S",
"val": 20000
}
]
},
{
"cfs": "N",
"ctin": "29AAABC1234A1YZ",
"nt": [
{
"cflag": "N",
"chksum": "87eb637a2722df589ef6562b5cf088e8204775f53210fc6c8d0bed9d3172a34f",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"csamt": 0,
"iamt": 152.39,
"rt": 18,
"txval": 846.61
},
"num": 1
}
],
"nt_dt": "21-10-2024",
"nt_num": "SCN-592",
"ntty": "C",
"pos": "29",
"rchrg": "N",
"updby": "S",
"val": 999
}
]
},
{
"cfs": "N",
"ctin": "33AAABC1234H1YZ",
"nt": [
{
"cflag": "N",
"chksum": "0750a9514da1d618e2cb756f56e4447e3e4787e538c7a38983ea73ced6200228",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"csamt": 0,
"iamt": 152.39,
"rt": 18,
"txval": 846.61
},
"num": 1
}
],
"nt_dt": "25-10-2024",
"nt_num": "SCN-603",
"ntty": "C",
"pos": "33",
"rchrg": "N",
"updby": "S",
"val": 999
}
]
},
{
"cfs": "N",
"ctin": "33AAABC1234C1YZ",
"nt": [
{
"cflag": "N",
"chksum": "9a1b262af95f1e30e83c3e07023dd0e46bd709e6b2f8d16b33d11573a4004066",
"d_flag": "Y",
"flag": "U",
"inv_typ": "R",
"itms": [
{
"itm_det": {
"csamt": 0,
"iamt": 152.39,
"rt": 18,
"txval": 846.61
},
"num": 1
}
],
"nt_dt": "31-10-2024",
"nt_num": "SCN-619",
"ntty": "C",
"pos": "33",
"rchrg": "N",
"updby": "S",
"val": 999
}
]
}
]
},
"status_cd": "1"
},
"timestamp": 1763446641000,
"transaction_id": "ff12dcdb-b205-4f2f-a27e-448b943f69e5"
}GSTR-1 CDNR
Get all credit/debit notes for a return period for registered user
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
cdnr
/
{year}
/
{month}
GSTR-1 CDNR
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
optional Status filter for filtering the invoices. Possible values: Y or N. Status filter for filtering the invoices. Use filter value Y to fetches the invoices where tax payer need to take action. Already accepted or uploaded invoices can be fetched by using filter value N.
Example:
"{{action_required}}"
From Date (DD/MM/YYYY)
Example:
"{{from}}"
Was this page helpful?
⌘I